Bug 190949 - (gaim-gaym) Review Request: gaim-gaym
Review Request: gaim-gaym
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-06 22:00 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 12:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-05-06 22:00:27 EDT
Spec URL: http://home.comcast.net/~ckweyl/gaim-gaym.spec
SRPM URL: http://home.comcast.net/~ckweyl/gaim-gaym-0.96-1.fc5.src.rpm
Description: 

This package provides a protocol plugin for the popular instant messaging
program, gaim.  If you want to be able to chat on gay.com via gaim, install
this package.
Comment 1 Noa Resare 2006-05-08 06:34:01 EDT
The src.rpm gives a 404

Just a quick note on the .spec file. The Requires: gtk2 is probably redundant.
rpmbuild will normally find out the correct library dependencies automagically

Comment 2 Chris Weyl 2006-05-08 12:25:29 EDT
Apologies -- had pushed rel 0 rather than rel 1 of the srpm :\

Spec tweaked, explicit requires: gtk2 dropped.

Spec URL: http://home.comcast.net/~ckweyl/gaim-gaym.spec
SRPM URL: http://home.comcast.net/~ckweyl/gaim-gaym-0.96-2.fc5.src.rpm
Comment 3 Noa Resare 2006-05-08 14:09:19 EDT
Although I'm not an officially blessed reviewer I thought that I can do a test
review and learn somewhat from it.

good:
- rpmlint without any complaints
- although the upstream tarball is named qrc the user community uses the name
gaym, so I think changing the name is a good call even though it violates the
first sentence of the package naming guidelines
- specfile name matches %{name}
- license is indeed GPL
- COPYING is included in %doc
- to the best of my knowledge the spec is written in american english
- the specfile is quite readable
- tarball referenced maches the tarball included
- the package builds correctly and seems to work quite well on fc5/i386, it also
builds on fc4/x86_64 but I haven't actually tested it there
- no localization, no shared libraries, not relocateable, no scriptlets
- no duplicates in %files
- it contains a GUI but since it is embedded in gaim the .desktop MUST is not
applicable
- no scriptlets

As far as my newbies eyes can tell this package is problem free and works as
expected.
Comment 4 Noa Resare 2006-05-16 11:03:58 EDT
With my newly recieved blessing powers I'd like to exclaim +1 Publish!

I have also tested build on fc5/x86_64 and it works as expected

Note You need to log in before you can comment on or make changes to this bug.